/**
 * @since Last modified: 2024-07-11 09:30:49
 * @function getIntArr
 * @description Finding the intersection of multiple arrays of data.
 */
'use strict';
import ax from '../ax';
import valToArr from './valToArr';
const getIntArr = (data, hyphen = ax.config.splitHyphen) => {
    let arrs = data.map((k) => {
        return typeof k === 'string' ? valToArr(k, hyphen) : k;
    });
    return arrs.reduce((prev, cur) => prev.filter((k) => cur.includes(k)));
};
export default getIntArr;
